# Network Logs

## Retrieve Network Logs of a SIM

> Retrieves the Network Logs for a specific SIM. Network Logs capture the complete connection lifecycle and help diagnose connectivity issues.\
> \
> The response contains various different Log Types (distinguished by the \`log\_type\` field). Each type holds different information and showcases the type of event that has occurred:\
> \- \`network-authentication\`: Initial connection attempt when device scans for and attempts to connect to a specific network. Records whether the SIM is allowed to connect based on Network List/Whitelist and IMEI settings.\
> &#x20; \- Authentication \`log\_types\` also include SIM and network information. A successful authentication will have \`status\`/\`reason\` properties as \`null\` in the response.\
> \
> \- \`network-registration\`: Occurs after authentication when Onomondo and the given network sync to provide cellular technology connections. Has two phases:\
> &#x20; \- Device registration to specific technology (\`is\_data\_attach: false\`), means that the device will be able to send and receive SMSs\
> &#x20; \- Data session creation enabling data transmission (\`is\_data\_attach: true\`), means that the device will be able to send and receieve IP traffic\
> \
> \- \`network-deregistration\`: Logs disconnection between Onomondo and the used network. Normal brief occurrences are expected, but frequent deregistrations may indicate connectivity issues.\
> \
> For more information read \[How to use Network Logs]\(<https://help.onomondo.com/en/articles/220554-how-to-use-network-logs>).

```json
{"openapi":"3.0.0","info":{"title":"Onomondo's API","version":"1.0.0"},"servers":[{"url":"https://api.onomondo.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/network-logs/{sim_id}":{"get":{"tags":["Network Logs"],"summary":"Retrieve Network Logs of a SIM","description":"Retrieves the Network Logs for a specific SIM. Network Logs capture the complete connection lifecycle and help diagnose connectivity issues.\n\nThe response contains various different Log Types (distinguished by the `log_type` field). Each type holds different information and showcases the type of event that has occurred:\n- `network-authentication`: Initial connection attempt when device scans for and attempts to connect to a specific network. Records whether the SIM is allowed to connect based on Network List/Whitelist and IMEI settings.\n  - Authentication `log_types` also include SIM and network information. A successful authentication will have `status`/`reason` properties as `null` in the response.\n\n- `network-registration`: Occurs after authentication when Onomondo and the given network sync to provide cellular technology connections. Has two phases:\n  - Device registration to specific technology (`is_data_attach: false`), means that the device will be able to send and receive SMSs\n  - Data session creation enabling data transmission (`is_data_attach: true`), means that the device will be able to send and receieve IP traffic\n\n- `network-deregistration`: Logs disconnection between Onomondo and the used network. Normal brief occurrences are expected, but frequent deregistrations may indicate connectivity issues.\n\nFor more information read [How to use Network Logs](https://help.onomondo.com/en/articles/220554-how-to-use-network-logs).","parameters":[{"name":"sim_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"timestamp","in":"query","required":true,"description":"ISO 8601 timestamp in UTC format that sets the cursor for where records should start","schema":{"type":"string","format":"date-time","pattern":"^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{3})?Z$"}},{"name":"order","in":"query","description":"Temporal sort order for the results","schema":{"type":"string","enum":["ASC","DESC"],"default":"DESC"}},{"name":"limit","in":"query","description":"Maximum number of records to return","schema":{"type":"integer","minimum":1,"maximum":1000,"default":1000}},{"name":"offset","in":"query","description":"Number of records to skip (for pagination)","schema":{"type":"integer","minimum":0,"default":0}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onomondo.com/readme/network-logs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
